Retrieve Account Activities

Returns a list of activities

Notes:

  • Pagination is handled using the page_token and page_size parameters.

  • page_token represents the ID of the last item on your current page of results. For example, if the ID of the last activity in your first response is 20220203000000000::045b3b8d-c566-4bef-b741-2bf598dd6ae7, you would pass that value as page_token to retrieve the next page of results.

  • If specified with a direction of desc, for example, the results will end before the activity with the specified ID.

  • If specified with a direction of asc, results will begin with the activity immediately after the one specified.

  • page_size is the maximum number of entries to return in the response.

  • If date is not specified, the default and maximum value is 100.

  • If date is specified, the default behavior is to return all results, and there is no maximum page size.

Query Params
uuid

id of a single account to filter by

activity_types
array of objects

A comma-separated list of activity types used to filter the results.

activity_types
string
enum

The activity category. Cannot be used with "activity_types" parameter.

Allowed:
date-time

Filter activities by their creation date (created_at), not the activity's settlement date. For non-trade activities such as fees, the creation date is typically the day after the trade date (in UTC). Both formats YYYY-MM-DD and YYYY-MM-DDTHH:MM:SSZ are supported.

date-time

Get activities created before this date. Both formats YYYY-MM-DD and YYYY-MM-DDTHH:MM:SSZ are supported.

date-time

Get activities created after this date. Both formats YYYY-MM-DD and YYYY-MM-DDTHH:MM:SSZ are supported.

string
enum

The chronological order of response based on the submission time. asc or desc. Defaults to desc.

Allowed:
integer
1 to 100
Defaults to 100

The maximum number of entries to return in the response.

string

Token used for pagination. Provide the ID of the last activity from the last page to retrieve the next set of results.

Response

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json